﻿using PP_Ven_MosS.Classes;
using PP_Ven_MosS.ModelBase;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PP_Ven_MosS.Pages
{
    /// <summary>
    /// Логика взаимодействия для CreateApplication.xaml
    /// </summary>
    public partial class CreateApplication : Page
    {
        public CreateApplication()
        {
            InitializeComponent();
            CBTypeApp.ItemsSource = new List<string>() { "Починка оборудования", "Настройка ПО", "Замена оборудования", "Подключение рабочего места", "Настройка сети", "Проблема с МФУ", "Создание и ввод в доменную учетную запись" };
            CBTypeApp.SelectedIndex = 0;
        }

        private void Save_Click(object sender, RoutedEventArgs e)
        {
            Applications applications = new Applications()
            {
                Description = DescApp.Text,
                Id_user = UserID.userid,
                Id_app_type = CBTypeApp.SelectedIndex + 1,
                Place_app = PlaceApp.Text,
                Date_app = DateTime.Now,
                Id_status_app = 2,
                Id_employee = null
            };
            switch (MessageBox.Show("Уверены в своем решении?", "Служебная записка", MessageBoxButton.YesNo))
            {
                case MessageBoxResult.Yes: Classes.Database.entities.Applications.Add(applications);
                    Database.entities.SaveChanges(); MessageBox.Show("Заявка успешно отправлена"); break; 
                case MessageBoxResult.No:
                    MessageBox.Show("Вы отказались от заявки");
                    break;
            }
                
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            FrameClass.MainFrame.Navigate(new ApplicationsListUser());
        }
    }
}
