﻿using PP_Ven_MosS.Classes;
using PP_Ven_MosS.ModelBase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PP_Ven_MosS.Pages
{
    /// <summary>
    /// Логика взаимодействия для CreateEvent.xaml
    /// </summary>
    public partial class CreateEvent : Page
    {
        public CreateEvent()
        {
            InitializeComponent();
            CBTypeEv.ItemsSource = new List<string>() { "Конференция", "Собрания", "Пленарное заседание", "Научная дискуссия", "Экспертно-оценочная сессия", "День открытых дверей", "Студентческое мероприятие" };
            CBTypeEv.SelectedIndex = 0;
        }

        private void Save_Click(object sender, RoutedEventArgs e)
        {
            Event events = new Event()
            {
                Description_event = DescEv.Text,
                Id_user = UserID.userid,
                Id_events_type= CBTypeEv.SelectedIndex + 1,
                Date_event = DateTime.Now,
                Id_status_event = 2,
                Title_event = TitleEv.Text,
                
            };
            switch (MessageBox.Show("Уверены в своем решении?", "Организация мероприятия", MessageBoxButton.YesNo))
            {
                case MessageBoxResult.Yes:
                    Classes.Database.entities.Event.Add(events);
                    Database.entities.SaveChanges(); MessageBox.Show("Мероприятие успешно запланировано"); break;
                case MessageBoxResult.No:
                    MessageBox.Show("Вы отказались от мероприятия");
                    break;
            }
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            FrameClass.MainFrame.Navigate(new ApplicationsListUser());
        }
    }
}
